Plesk\backup\Agent\Schema\Backup\CertificateType:
    properties:
        name:
            expose: true
            access_type: public_method
            serialized_name: name
            accessor:
                getter: getName
                setter: setName
            xml_attribute: true
            type: string
        default:
            expose: true
            access_type: public_method
            serialized_name: default
            accessor:
                getter: getDefault
                setter: setDefault
            xml_attribute: true
            type: string
        certificateData:
            expose: true
            access_type: public_method
            serialized_name: certificate-data
            xml_element:
                cdata: false
            accessor:
                getter: getCertificateData
                setter: setCertificateData
            type: string
        signingRequest:
            expose: true
            access_type: public_method
            serialized_name: signing-request
            xml_element:
                cdata: false
            accessor:
                getter: getSigningRequest
                setter: setSigningRequest
            type: string
        caCertificate:
            expose: true
            access_type: public_method
            serialized_name: ca-certificate
            xml_element:
                cdata: false
            accessor:
                getter: getCaCertificate
                setter: setCaCertificate
            type: string
        privateKey:
            expose: true
            access_type: public_method
            serialized_name: private-key
            xml_element:
                cdata: false
            accessor:
                getter: getPrivateKey
                setter: setPrivateKey
            type: string
